import { TransactionHeaderPopupBaseComponent } from './transaction-header-popup-base.component';
import { TransactionHeaderProjectCodeComponent } from '../../transaction-header-fields/transaction-header-project-code.component';
export declare class TransactionHeaderPopupOrderComponent extends TransactionHeaderPopupBaseComponent {
    showClass(): boolean;
    projectCodeComponent: TransactionHeaderProjectCodeComponent;
    addProjectCodeModalVisible: boolean;
    showProjectCodeModal(value: boolean): void;
    onProjectCodeAdded(): void;
    private refreshProjectCodes;
}
